[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: x86_64 nightmare on F7



On Fri, 2007-06-08 at 01:06 +0200, Christoph Wickert wrote:
> Am Donnerstag, den 07.06.2007, 23:49 +0100 schrieb David Woodhouse:
> > On Fri, 2007-06-08 at 00:12 +0200, Christoph Wickert wrote:
> > > Another example: With "yum groupinstall XFCE" I get a lot of i386
> > > packages too. I can remove the i386 ones, but this will break the
> > > x86_64 versions. 
> > 
> > 'yum --exclude=\*.i386 groupinstall XFCE' btw
> 
> Thanks for that one. I already added the exclude statement to my yum
> config permanently.
> 
> > Yes, yum is broken.
> 
> There are two questions:
> Why does yum install i386 at all? 
> Why doesn't yum check for conflicts on a groupinstall? So obviously it
> must be using using "rpm -i --force", which is pretty dangerous.

rpm can install multiple identical files and the behavior you see is
exactly how it supposed to handle multilib file installs.


yum has not and will not use anything like rpm --force and in fact does
not enable that capability in its interface to the rpm python modules.


-sv



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]